Subject: Re: Prefix Mismatch

From: "LIAN Franklin FTLD/IAP" <[email-masked]>
Date: Fri, 19 Apr 2002 11:18:27 -0400

wu min wrote:
> 
> The last few lines of the RFC3031 snippet from my previous message reads,
> "....In this situation, packet P can be label Switched until it reaches R2,
> but since R2 has performed route aggregation, it must execute the best match
> algorithm to find P's FEC."
> 
> It indicated that the best match algorithm must be executed to find the next
> appropriate FEC to be used for further label switching. In my opinion,
> surely this does not stop it from label switching further, right?
> 

Sure, if there is another LSP built for the more granular FEC, but you
don't know if there is one or not.

> > > 2. Suppose the LSP is being used as a tunnel that ends after R2 and if
> >the
> > > answer for my question (1) is true, then stripping the top label will
> >never
> > > reveal the IP header yet since there will still be 1 or more labels. Is
> >this
> > > situation valid? If so, can R2 still manage to terminate the LSP and
> >perform
> > > best match algorithm? If yes, then how?
> >
> >I don't think you can build an LSP beyond R2 in this case, in another
> >word, I don't know how you can have a tunnel that ends after R2.
> 
> What I meant is, take for example an LSR with address 10.2.153.178 is a
> remote peer and the LSP in the example is the hop-by-hop routed tunnel used
> for this peering. Obviously here the LSR is after the LSR2.

With LDP, you can try to build a tunnel to 10.2.153.178, but if the
tunnel LSP is broken in the middle, you won't know.  If you run MPLS
VPN over the broken tunnel, you blackhole the traffic.  I think you
just gave one example why it is necessary to have /32 tunnel 
termination point for MPLS VPN with LDP.

> 
> _________________________________________________________________
> Send and receive Hotmail on your mobile device: http://mobile.msn.com

---

From: "wu min" <[email-masked]>
Date: Fri, 19 Apr 2002 14:51:34 +0000

Hello again,

> > Questions:
> > ----------
> > 1. Does it mean R2 has to terminate LSP for FEC with 10.2/16 address 
>prefix
> > by means of stripping the top label (the only label) and look into IP 
>header
> > to determine its finer FEC and then label the packet again with the
> > appropriate outgoing label. Is this true?
>
>My understanding of the RFC is the LSP for 10.2/16 stops at R2.  The
>the packet may or may not be label switched after R2.

---

From: "LIAN Franklin FTLD/IAP" <[email-masked]>
Date: Tue, 23 Apr 2002 15:32:06 -0400

> surely this does not stop it from label switching further, right?

Yes, it is true that it does not stop it from being "switched" from R2,
but you will have TWO (2) LSPs involved in this case.  The LSP_1 stops
at R2, and LSP_2 starts at R2.  When the packet is processed at R2,
it is NOT a simple label swapping, there is route lookup or label
pushing involved if necessary.

Wish this can help
Zidan

> -------
> The MPLS-OPS Mailing List
> Subscribe/Unsubscribe:  http://www.mplsrc.com/mplsops.shtml
> Archive: http://www.mplsrc.com/mpls-ops_archive.shtml